@import 'assets/variables.scss';

.root {
  display: block;
  padding-top: $cell * 6;
  height: 100%;
  position: relative;
}

.header {
  margin-left: $cell * 2;
}

.divider {
  margin: $cell * 2 0;
}

.configWrap {
  display: flex;
  align-items: center;
  justify-content: space-evenly;
}

.configItemWrap {
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;

  .configLabel {
    font-weight: bold;
    margin: $cell;
  }

  .stepperWrap {

  }
}


.difficultyWrap {
  display: flex;
  align-items: center;
  width: 100%;
  justify-content: space-between;
  padding: $cell * 2 $cell * 4;

  .difficultyLabel {
    color: $soft-text;
    font-weight: bold;
    font-size: 1.1rem;
  }

  .difficultyVal {

    font-weight: bold;
    font-size: 1rem;
  }

}

.lhsWrap {

  .labelValWrap {
    margin-bottom: $cell * 0.5;
  }

}

.rhsWrap {
  width: $cell * 20;

  .keyValWrap {
    margin-bottom: $cell * 1.5;
    display: grid;
    grid-template-columns: 1fr 1fr;
  }
}

.monsterWrap {
  padding: $cell * 2 $cell * 4;
}

.monsterCard {
  width: 100%;
  margin-bottom: $cell * 2;
}

.buttonWrap {
  position: absolute;
  bottom: $cell * 4;
  width: 100%;
  padding: 0 $cell * 4;
}

.createButton {
  width: 100%;
}